Delete contact
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Contact Lists
Delete contact
Delete a contact and its campaign attempt history
DELETE
/
contact-lists
/
{listId}
/
contacts
/
{id}
Delete contact
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/contact-lists/{listId}/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Deletes a single contact from a contact list. Associated call attempt records are automatically removed.
If this contact list is currently associated with an active campaign, deleting contacts is prohibited if the remaining contact count would drop below the 2-contact minimum.
Path parameters
string
required
The unique UUID of the contact list.
string
required
The unique UUID of the contact to delete.
curl -X DELETE https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts/99999999-8888-7777-6666-555555555555 \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
import requests
response = requests.delete(
"https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts/99999999-8888-7777-6666-555555555555",
headers={"Authorization": f"Bearer {API_KEY}"},
)
print(response.status_code)
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/contact-lists/33333333-3333-3333-3333-333333333333/contacts/99999999-8888-7777-6666-555555555555",
{
method: "DELETE",
headers: { Authorization: `Bearer ${API_KEY}` },
},
);
console.log(response.status);
Response
204 No Content on successful deletion.
